std::_Fwd_list_node< _Tp >(3)

NAME
std::_Fwd_list_node< _Tp > -

SYNOPSIS

Inherits std::_Fwd_list_node_base.

  Public Member Functions
void _M_reverse_after () noexcept
_Fwd_list_node_base * _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end) noexcept
_Tp * _M_valptr () noexcept
const _Tp * _M_valptr () const noexcept

  Public Attributes
_Fwd_list_node_base * _M_next
__gnu_cxx::__aligned_buffer< _Tp > _M_storage

Detailed Description

  template<typename _Tp>struct std::_Fwd_list_node< _Tp >
A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

Definition at line 98 of file forward_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.